Bug 9309 - "OPACurlOpenInNewWindow" isn't respected for 856$u links shown in OPAC when not using XSLT
Summary: "OPACurlOpenInNewWindow" isn't respected for 856$u links shown in OPAC when n...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Robin Sheat
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-20 02:01 UTC by Robin Sheat
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9309 - Make OPACurlOpenInNewWindow be respected for 856$u (1.92 KB, patch)
2012-12-20 02:51 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9309 - Make OPACurlOpenInNewWindow be respected for 856$u (1.98 KB, patch)
2012-12-20 03:05 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9309 - Make OPACurlOpenInNewWindow be respected for 856$u (1.98 KB, patch)
2012-12-30 23:01 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9309 - Make OPACurlOpenInNewWindow be respected for 856$u (2.08 KB, patch)
2012-12-31 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9309 - Make OPACurlOpenInNewWindow be respected for 856$u (2.09 KB, patch)
2013-01-14 16:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-12-20 02:01:17 UTC
On the surface, this looks like a problem from the conversion to T::T.
Comment 1 Robin Sheat 2012-12-20 02:51:18 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2012-12-20 02:54:50 UTC
Note that this backports to 3.8 quite happily.
Comment 3 Robin Sheat 2012-12-20 03:05:56 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-12-26 15:56:58 UTC
This doesn't work for me unless I replace "OPACurlOpenInNewWindow" with "OPACURLOpenInNewWindow" (matching the case of the system preference).
Comment 5 Robin Sheat 2012-12-30 22:54:11 UTC
In that case, there'll be a multitude of bugs:

$ grep OPACurlOpenInNewWindow koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt | wc -l
6

Also, I just retested it, and it works for me as it's submitted here. However it does make more sense for the capitalisation to match, so I'll fix that up for this case.
Comment 6 Robin Sheat 2012-12-30 23:01:51 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2012-12-31 13:32:25 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2013-01-14 16:12:34 UTC
QA Comment:

The patch fixes a variable scoping and reintroduces a broken feature.

Marked as Passed QA.
Comment 9 Jonathan Druart 2013-01-14 16:12:54 UTC
Created attachment 14567 [details] [review]
Bug 9309 - Make OPACurlOpenInNewWindow be respected for 856$u

If a biblio record contained a URL, and the OPAC was using the "normal"
(non-XSLT) display for records, then these links would never open a new
window. With this patch, they will.

Test plan:
1) have a biblio containing an 856$u link
2) set OPACurlOpenInNewWindow to "true"
3) do not use XSLT for displaying the detail pages in the OPAC
4) view the record, click the link, and note that it opens in the
   current window.
5) apply the patch
6) reload the detail page, click the link, and note that it opens a new
   window.

Sponsored-By: National Institute of Water and Atmospheric Research
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Jared Camins-Esakov 2013-01-16 03:01:51 UTC
This patch has been pushed to master.
Comment 11 Chris Cormack 2013-01-16 06:47:00 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.9 and 3.10.2